package model

import "iot_manager_service/app/system/dao"

const (
	AdminTenantId = "1000000000000000" //默认租户
	DES_KEY       = "0000000000000000" //租户授权码默认16位密钥
)

type RsqTenantList struct {
	Records []dao.Tenant `json:"records"` //记录列表
	Current int          `json:"current"` //当前分页
	Size    int          `json:"size"`    //每页数量
	Pages   int          `json:"pages"`   //总页数
	Total   int          `json:"total"`   //总数
}

type ReqTenantRemove struct {
	IDs  int64  `json:"ids"`
	Name string `json:"name"`
}

type ReqTenantResetPwd struct {
	IDs int64 `json:"ids"`
}
